WordPress.org

Ready to get started?Download WordPress

Forums

SI CAPTCHA Anti-Spam
Captcha incompatibility w/ Bad Behavior (5 posts)

  1. SteveW928
    Member
    Posted 2 years ago #

    Hi Mike,
    After updating Bad Behavior plugin by Michael Hampton to v2.1.14 or v2.1.15 (from version 2.0.44), I can no longer access my blog (nor can people comment). When I enter the captcha to login, upon submitting it, I get the error:
    "ERROR: Could not read CAPTCHA cookie. Make sure you have cookies enabled and not blocking in your web browser settings. Or another plugin is conflicting. See plugin FAQ."

    It isn't a cookie problem, as it fails on any browser I try (or even on a different computer). Disabling Bad Behavior or reverting to the older version allows it to work properly again. I notified Michael, but wanted to make you aware of it as well, as I don't know where the problem is. As long as I stay on Bad Behavior v 2.0.44, everything works great, but I'm hoping to stay current on my plugins. Thanks.

    http://wordpress.org/extend/plugins/si-captcha-for-wordpress/

  2. Mike Challis
    Member
    Plugin Author

    Posted 2 years ago #

    How to quickly log back in to admin:
    You will have to manually delete the plugin so you can log in again:
    FTP to this folder on your server:
    "/wp-content/plugins"
    and delete the "si-captcha-for-wordpress" folder
    Now you can log in.

    This will disable the plugin and you can log in again.
    You can re-install it, but make sure to uncheck captcha on login form until you find out if the captcha is working.

    A conflict will occur if another plugin has to hook into the same WP login functions.

    First check this: make sure the only other security plugins you have are Akismet or WP-spamFree. Akismet and WP-spamFree are the only other anti-spam plugins approved for use with SI CAPTCHA Anti-Spam, others can simply break the CAPTCHA validation so that the CAPTCHA is never checked. If another security plugin is combined(not Akismet or WP-spamFree), the captcha may not work. Be sure to always test the CAPTCHA after installing new plugins.

  3. SteveW928
    Member
    Posted 2 years ago #

    Thanks Mike. I did figure out how to get back in, but good to put it here for others.

    I'm aware I can pick other combinations of plugins, and might consider that. I was mainly wanting to make you (and the author of Bad Behavior... as well as others who might try this combination) aware of the problem so you might be able to make them compatible (and add another to your list). :) It was definitely some change made in Bad Behavior that introduced the conflict, but I don't know what it is.

  4. Mike Challis
    Member
    Plugin Author

    Posted 2 years ago #

    The problem is when two plugins need to rewrite the same wordpress function. they overwrite each other. I do not have a way to make it compatible, sorry.

  5. SteveW928
    Member
    Posted 2 years ago #

    Just a follow up... the author of Bad Behavior looked into the issue and found a way to fix it. He indicated that it should be in the next release of Bad Behavior (ie: after v2.1.15).

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic